gnutls_get_library_config(3)

NAME
gnutls_get_library_config - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_library_config_st * gnutls_get_library_config( void);

ARGUMENTS

void

DESCRIPTION

Returns the library configuration as key value pairs. Currently defined keys are:

- fips-module-name: the name of the FIPS140 module

- fips-module-version: the version of the FIPS140 module

- libgnutls-soname: the SONAME of the library itself

- libnettle-soname: the library SONAME of linked libnettle

- libhogweed-soname: the library SONAME of linked libhogweed

- libgmp-soname: the library SONAME of linked libgmp

- hardware-features: enabled hardware support features

- tls-features: enabled TLS protocol features

RETURNS
a NUL-terminated gnutls_library_config_st array

SINCE
3.7.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/